Skip to main content

ObjectRef

ObjectRef references an object in storage

Usage profiles​

UsageFields and validation
In responsesView fields

In responses​

API JSON uses JSON field names (camelCase).

FieldTypePresenceMeaning
bucketstringOptionalStorage bucket containing the object.
keystringOptionalObject key within the selected storage bucket.
providerstring (STORAGE_PROVIDER_GCS, STORAGE_PROVIDER_S3, STORAGE_PROVIDER_FILESYSTEM, STORAGE_PROVIDER_AZURE_BLOB) or integer (int32)OptionalStorage provider used to access the object.

Values of provider​

Backend that stores the file bytes associated with a storage record.

ValueNo.FormMeaning
STORAGE_PROVIDER_GCS1CanonicalGoogle Cloud Storage.
STORAGE_PROVIDER_S32CanonicalAmazon S3 or a storage service implementing the S3 interface.
STORAGE_PROVIDER_FILESYSTEM3CanonicalA filesystem accessible to the storage service.
STORAGE_PROVIDER_AZURE_BLOB4CanonicalAzure Blob Storage.

Where used​

ReferenceRelationship
Generate a pre-signed download URLPOST /api/v1/storage/generate-download-url
Get file metadataPOST /api/v1/storage/get-file-metadata
Get storage statePOST /api/v1/storage/get-state
List files and folders in a directoryPOST /api/v1/storage/list-files
Move or rename a filePOST /api/v1/storage/move-file
Register a file uploaded via pre-signed URLPOST /api/v1/storage/register-uploaded-file
Search filesPOST /api/v1/storage/search-files
Update file metadataPOST /api/v1/storage/update-file-metadata
Upload a file (deprecated)POST /api/v1/storage/upload-file
FileInfoNested in model

Download the public reference contract.

Document: DOC-API-MODEL-object-ref.